Subject: Re: G++/times causes access violation on cygwin, not linux
From: "Mirko Vukovic" <[email-masked]>
To: "cygwin forum" <[email-masked]>
Cc: "Earnie Boyd" <[email-masked]>
Date: Thu, 24 Aug 2000 12:38:02 -0700

I downloaded the latest cygwin (instal.exe worked no problem) and got same message under 2.92.2.  To repeat, it compiled and ran without a problem under linux and egcs 2.91.66.

(I include the code below again for reference)

Mirko

# include <sys/times.h>
# include <iostream.h>
int main()
{
  clock_t ElapsedSystemTime;
  struct tms * pArg;
  ElapsedSystemTime=times(pArg);
  cout << ElapsedSystemTime <<"\n";
  cout << pArg->tms_utime<<"\n";
  cout << pArg->tms_stime<<"\n";
  cout << pArg->tms_cutime<<"\n";
  cout << pArg->tms_cstime<<"\n";
  return 0;
}
--

On Thu, 24 Aug 2000 09:15:12   Earnie Boyd wrote:
>--- Mirko Vukovic <[email-masked]> wrote:
>> The code that follows in the included message compiles cleanly under both
>> cygwin (egcs 2.91.57) and linux (egcs 2.91.66), but runs only under linux.  
>> 
>> Passing a proper variable to times() instead of NULL (pointer to a "tms"
>> structure), does not improve things.
>> 
>> I still bet it is not a bug, but what is the problem then?
>> 
>
>Your compiler is too old.  You need `gcc --version' == "2.95.2" to make it
>work.  Oh, you still need the pointer to a tms structure in time().
>
>Cheers,
>
>
>=====
>---
>   Earnie Boyd: <mailto:[email-masked]>
>            __Cygwin: POSIX on Windows__
>Cygwin Newbies: <http://gw32.freeyellow.com/>
>           __Minimalist GNU for Windows__
>  Mingw32 List: <http://www.egroups.com/group/mingw32/>
>    Mingw Home: <http://www.mingw.org/>
>
>__________________________________________________
>Do You Yahoo!?
>Yahoo! Mail - Free email you can access from anywhere!
>http://mail.yahoo.com/
>

--== Sent via Deja.com http://www.deja.com/ ==--
Before you buy.

--
Want to unsubscribe from this list?
Send a message to [email-masked]